Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.destination
Class JBossTemporaryQueue

    java.lang.Object
      org.jboss.jms.destination.JBossDestination
          org.jboss.jms.destination.JBossQueue
              org.jboss.jms.destination.JBossTemporaryQueue

All Implemented Interfaces:
  java.io.Serializable

public class JBossTemporaryQueue
extends JBossQueue

Version:
  `$Revision: 1.12 $` $Id: JBossTemporaryQueue.java,v 1.12 2006/03/07 17:11:14 timfox Exp $
Author:
  Tim Fox
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.jms.destination.JBossDestination
`name`

Constructor Summary
`JBossTemporaryQueue(SessionDelegate delegate)`
`JBossTemporaryQueue(java.lang.String name)`

Method Summary
`void` | `delete()`
`boolean` | `isTemporary()`
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.jms.destination.JBossQueue
`getQueueName, isQueue, isTopic`

Methods inherited from class org.jboss.jms.destination.JBossDestination
`equals, getName, getReference, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JBossTemporaryQueue

    public JBossTemporaryQueue(SessionDelegate delegate)

### JBossTemporaryQueue

    public JBossTemporaryQueue(java.lang.String name)

Method Detail

### delete

    public void delete()
                throws JMSException

  Throws:
    `JMSException`

### isTemporary

    public boolean isTemporary()

  Overrides:
    `isTemporary` in class `JBossDestination`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `JBossQueue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.